/*
 * @Author: your name
 * @Date: 2024-06-03 09:29:50
 * @LastEditTime: 2024-06-17 14:31:34
 * @LastEditors: bogon
 * @Description: In User Settings Edit
 * @FilePath: /performance-test/src/api/performance。.js
 */
import request from "@/utils/request";
//批次管理性能分析列表获取
export function getBatchMagList(data) {
  return request({
    url: "/energy-manage-service/windEnginBatch/batchList",
    method: "get",
    params: data,
  });
}
//批次管理新增
export function addFieldBatch(data) {
  return request({
    url: "/energy-manage-service/windEnginBatch/addFieldBatch",
    method: "post",
    data,
  });
}
//批次管理编辑
export function updateFieldBatch(data) {
  return request({
    url: "/energy-manage-service/windEnginBatch/updateFieldBatch",
    method: "post",
    data,
  });
}
//批次管理onOrOffFieldBatch更改状态
export function onOrOffFieldBatch(data) {
  return request({
    url: "/energy-manage-service/windEnginBatch/onOrOffFieldBatch",
    method: "post",
    data,
  });
}
//批次管理deleteFieldBatch 删除
export function deleteFieldBatch(data) {
  return request({
    url: "/energy-manage-service/windEnginBatch/deleteFieldBatch",
    method: "post",
    data,
  });
}
//批次管理获取关联风场接口
export function queryCodeNum() {
  return request({
    url: "/energy-manage-service/sysOrganizationAuth/queryCodeNum",
    method: "get",
  });
}
//获取性能分析评估接口
export function getAnalysisResultList(data) {
  return request({
    url: "/energy-manage-service/analysis/analysisResultList",
    method: "get",
    params: data,
  });
}
//性能分析异常描述列表 /analysisErr/analysisErrQuery
export function analysisErrQuery(data) {
  return request({
    url: "/energy-manage-service/analysisErr/analysisErrQuery",
    method: "get",
    params: data,
  });
}
// //异常描述列表 风机编号/api/wind/engine/group/getWindEngineGroupByUser
// export function getWindEngineGroupByUser(data) {
//   return request({
//     url: "/energy-manage-service/api/wind/engine/group/getWindEngineGroupByUser",
//     method: "get",
//     params: data,
//   });
// }

//异常描述列表 分析类型、风机号查询   入参batchCode 批次编号  /analysis/analysisEditQuery
export function analysisEditQuery(data) {
  return request({
    url: "/energy-manage-service/analysis/analysisEditQuery",
    method: "get",
    params: data,
  });
}
//异常描述列表 添加/analysis/analysisErrAdd
export function analysisErrAdd(data) {
  return request({
    url: "/energy-manage-service/analysisErr/analysisErrAdd",
    method: "post",
    data,
  });
}
//删除 异常描述列
export function analysisErrDel(data) {
  return request({
    url: "/energy-manage-service/analysisErr/analysisErrDel",
    method: "post",
    data,
  });
}
//编辑 异常描述列/analysisErr/analysisErrEdit
export function analysisErrEdit(data) {
  return request({
    url: "/energy-manage-service/analysisErr/analysisErrEdit",
    method: "post",
    data,
  });
}
//分析详情 接口/analysis/analysisDetail
export function analysisDetail(data) {
  return request({
    url: "/energy-manage-service/analysis/analysisDetail",
    method: "post",
    data,
  });
}
//分析详情  事件
export function analysis(data) {
  return request({
    url: "/energy-manage-service/analysis/analysis",
    method: "post",
    data,
  });
}
//新增 分析结果类型
//参数 batchCode 批次  analysisTypeCode  分析编号  commentTypeCode评论编号 commentTypeName 评论类型名称
// /analysisComment/addAnalysisCommentType
export function addAnalysisCommentType(data) {
  return request({
    url: "/energy-manage-service/analysisComment/addAnalysisCommentType",
    method: "post",
    data,
  });
}
//删除 分析结果类型 /analysisComment/delAnalysisCommentType 删除  入参 commentTypeCode评论编号
export function delAnalysisCommentType(data) {
  return request({
    url: "/energy-manage-service/analysisComment/delAnalysisCommentType",
    method: "post",
    data,
  });
}
//富文本但文件上传
export function uploadFile(data) {
  return request({
    url: "/energy-manage-service/api/check/upload",
    method: "post",
    data,
  });
}

//富文本编辑，性能分析编辑描述

export function analysisCommentEdit(data) {
  return request({
    url: "/energy-manage-service/analysisComment/analysisCommentEdit",
    method: "post",
    data,
  });
}
